This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536055 - (RHQ-446) Ops scheduling should allow to end after 'x' times
Ops scheduling should allow to end after 'x' times
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
0.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2008-05-06 08:53 EDT by Heiko W. Rupp
Modified: 2015-02-01 18:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:56:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2008-05-06 08:53:00 EDT
When scheduling a recurring ops, I can specify that it should never end or at a specific date. It would be nice if one could say "repeat x times".
Comment 1 Joseph Marques 2008-05-07 04:05:35 EDT
agreed.  this is already supported by the backing scheduling mechanism - quartz   so, it would be a matter of extending the jsf scheduler component to render that additional option, and then making sure the SimpleTrigger was created correctly.
Comment 2 Joseph Marques 2008-07-20 15:35:28 EDT
this would require extending the JSF scheduler component to hold and render that new state, mucking with the javascript to conditionally render the elements, and then making sure the scheduler component correctly translates data when passing the job off to quartz.  shooting for 1.2 - but might not end up getting done until 2.0
Comment 3 Red Hat Bugzilla 2009-11-10 16:09:28 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-446
Comment 6 Heiko W. Rupp 2011-01-13 12:17:40 EST
Assigning to Ian, as he was last working in that area.
Comment 7 Heiko W. Rupp 2011-01-25 09:30:14 EST
Looks fixed in master
with giving 'times' as keyword
Comment 8 Ian Springer 2011-02-11 17:30:24 EST
Yes, this is supported in coregui in master.
Comment 10 Heiko W. Rupp 2013-09-03 12:56:05 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.